{#
/**
 * @file
 * Corporate+'s theme override for the content collapses field in buyer's guide
 *
 * @see corporateplus_preprocess_field__field_mt_content_collapses()
 */
#}
{%
  set classes = [
  'field',
  'field--name-' ~ field_name|clean_class,
  'field--type-' ~ field_type|clean_class,
  'field--label-' ~ label_display,
]
%}
{%
  set title_classes = [
  'field__label',
  label_display == 'visually_hidden' ? 'visually-hidden',
]
%}
{% set paragraph_guide_id = element['#object'].get('id').value %}

{{ attach_library('corporateplus/field-mt-content-collapses') }}
<div{{ attributes.addClass(classes) }}>
  {% if not label_hidden %}
    <h3{{ title_attributes.addClass(title_classes) }}>{{ label }}</h3>
  {% endif %}
  <div class="panel-group panel-group--style-1" id="mt-content-collapse-{{ paragraph_guide_id }}" role="tablist" aria-multiselectable="true">
    {% for item in items %}
      {% set paragraph_collapse_id = item.content['#paragraph'].get('id').value %}

      <div class="panel panel-default">
        <div class="panel-heading panel-heading--trigger-icon" role="tab" id="heading-id-{{ paragraph_collapse_id }}">
          <div class="panel-title">
            <a class="{{ loop.first ? '' : ' collapsed' }}" data-toggle="collapse"
               data-parent="#mt-content-collapse-{{ paragraph_guide_id }}" href="#collapse-id-{{ paragraph_collapse_id }}"
               aria-expanded="true" aria-controls="collapse-id-{{ paragraph_collapse_id }}">
                  {{ item.content['#paragraph'].get('field_mt_collapse_title').value }}
            </a>
          </div>
        </div>
        <div id="collapse-id-{{ paragraph_collapse_id }}"
             class="panel-collapse collapse {{ loop.first ? ' in' : '' }}" role="tabpanel"
             aria-labelledby="heading-id-{{ paragraph_collapse_id }}">
          <div class="panel-body">
            {{ item.content }}
          </div>
        </div>
      </div>
    {% endfor %}
  </div>
</div>
